
const app = {
	state: {
		wxWechatConfig: {
            wxAppId:  process.env.VUE_APP_APPID,
			wxId: process.env.VUE_APP_WXID
        },
        loading: false,
        pageTitle: "智能药柜"
	},
	mutations: {
		SET_LOADING: (state, bool) => {
            state.loading = bool
		},
		SET_PAGE_TITLE: (state, val) => {
            state.pageTitle = val
        }
	},
	actions: {
		SetLoading({ commit, state }, bool) {
            commit('SET_LOADING', bool)
		},
		SetPageTitle({ commit, state }, val) {
			commit('SET_PAGE_TITLE', val)
		}
	}
};

export default app;
